-- LOCALISATION

local AddonName, AddonTable = ...
local L = AddonTable.Localize
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")

-- SAVED VARIABLES

if GFTConfig == "" or GFTConfig == nil then
	GFTConfig = {
		["ShowFaction"] = "YES"
	}
end

-- TOOLTIP

GameTooltip:HookScript("OnTooltipSetUnit", function(self)
	--local name, unit = self:GetUnit()
	
	if UnitIsPlayer("mouseover") and not UnitIsUnit("mouseover", "player") then
		GameTooltip:ClearLines()
		guildName, guildRankName, guildRankIndex = GetGuildInfo("mouseover");
		englishFaction, localizedFaction = UnitFactionGroup("mouseover")
		localizedClass, englishClass, classIndex = UnitClass("mouseover")
		race, raceEn = UnitRace("mouseover")
		local level = UnitLevel("mouseover")
		local name = UnitName("mouseover")
		
		if guildName == nil then
			if GFTConfig.ShowFaction == "YES" then
				self:AddLine(name, 1, 1, 1, true)
				self:AddLine(L["Level"] .. " " .. level .. " " .. race .. " " .. localizedClass .. " (" .. L["Player"] .. ")" , 1, 1, 1, true)
				self:AddLine(localizedFaction, 1, 1, 1, true)
			else
				return
			end
		else
			if GFTConfig.ShowFaction == "YES" then
				self:AddLine(name, 1, 1, 1, true)
				self:AddLine(guildName, 1, 1, 1, true)
				self:AddLine(L["Level"] .. " " .. level .. " " .. race .. " " .. localizedClass .. " (" .. L["Player"] .. ")" , 1, 1, 1, true)
				self:AddLine(localizedFaction, 1, 1, 1, true)
			else
				return
			end
		end
	end
end)

-- OPTIONS WINDOW

function gftconfig()

local gftoptions = CreateFrame("Frame", "GFTConfigWindow", UIParent)
gftoptions:SetSize(300, 100) -- WxH
gftoptions:SetPoint("CENTER")
gftoptions:SetClampedToScreen(true)
gftoptions:EnableMouse(true)
gftoptions:SetMovable(true)
gftoptions:RegisterForDrag("LeftButton")
gftoptions:SetScript("OnDragStart", function(self) self:StartMoving() end)
gftoptions:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)
gftoptions:Show()
local optionsbg = gftoptions:CreateTexture()
optionsbg:SetAllPoints(gftoptions)
optionsbg:SetColorTexture(0, 0, 0, 0.9)
local hidegftoptions = CreateFrame("Button", nil, gftoptions, "UIPanelCloseButton")
hidegftoptions:SetPoint("TOPRIGHT", gftoptions, "TOPRIGHT", -5, -5)

local title = gftoptions:CreateFontString(nil, nil, "GameFontNormalLarge")
title:SetPoint("TOPLEFT", 16, -16)
title:SetText("Guild and Faction Tooltip")

-- Show Faction

local chkShowFaction = CreateFrame("CheckButton", nil, gftoptions, "OptionsBaseCheckButtonTemplate")
chkShowFaction:SetPoint("TOPLEFT", title, "BOTTOMLEFT", 0, -16)

if GFTConfig.ShowFaction == "YES" then
	chkShowFaction:SetChecked(true)
elseif GFTConfig.ShowFaction == "NO" then
	chkShowFaction:SetChecked(false)
end

chkShowFaction:SetScript("OnClick", function(frame)
local tick = frame:GetChecked()

	if tick == false then
		GFTConfig.ShowFaction = 'NO'
	elseif tick == true then
		GFTConfig.ShowFaction = 'YES'
	end
end)

local chkShowFactionText = gftoptions:CreateFontString(nil, nil, "GameFontHighlight")
chkShowFactionText:SetPoint("LEFT", chkShowFaction, "RIGHT", 0, 1)
chkShowFactionText:SetText(L["Show Faction Name"])

end